From: Christoph Goehre <chris@sigxcpu.org>
Date: Fri, 29 Aug 2014 17:52:13 -0700
Subject: let ql-hba-snapshot and ql-dynamic-tgt-lun-disc support kernels >=
 5.x

Closes: #739368, #834258
---
 ql-dynamic-tgt-lun-disc/ql-dynamic-tgt-lun-disc.sh |  2 +-
 ql-hba-snapshot/ql-hba-snapshot.sh                 | 14 +++++++++-----
 2 files changed, 10 insertions(+), 6 deletions(-)

diff --git a/ql-dynamic-tgt-lun-disc/ql-dynamic-tgt-lun-disc.sh b/ql-dynamic-tgt-lun-disc/ql-dynamic-tgt-lun-disc.sh
index fe03378..a9204e2 100755
--- a/ql-dynamic-tgt-lun-disc/ql-dynamic-tgt-lun-disc.sh
+++ b/ql-dynamic-tgt-lun-disc/ql-dynamic-tgt-lun-disc.sh
@@ -1846,7 +1846,7 @@ case ${QL_K_MAJ_MIN} in
 		fi
 		QL_FS=$QL_PROCFS
 	;;
-	2.6 | 3.*)
+	2.6 | 3.* | 4.* | 5.*)
 		if [ "${QL_HBA_SCAN}" -eq "${QL_FC_SCAN}" ]; then
 			QL_DRIVER=qla2xxx
 			SYS_DRIVER=qla2		
diff --git a/ql-hba-snapshot/ql-hba-snapshot.sh b/ql-hba-snapshot/ql-hba-snapshot.sh
index 733cb86..1e6bb74 100755
--- a/ql-hba-snapshot/ql-hba-snapshot.sh
+++ b/ql-hba-snapshot/ql-hba-snapshot.sh
@@ -1620,11 +1620,15 @@ function print_iscsi_statistics ()
 # Start
 
 	KERNEL_VERSION=`uname -r`
-	KERNEL_MAJ_MIN=`echo $KERNEL_VERSION | cut -d . -f 1,2`
-	if [ $KERNEL_MAJ_MIN != 2.6 ]; then
-		echo "Only Kernel version 2.6 and above are supported"
-		exit 1
-	fi
+	KERNEL_MAJ_MIN=`echo $KERNEL_VERSION | cut -d . -f -2`
+	case $KERNEL_MAJ_MIN in
+		2.6 | 3.* | 4.* | 5.*)
+		;;
+		*)
+			echo "Only Kernel version 2.6 and above are supported"
+			exit 1
+		;;
+	esac
 
 	QL_MODULES_LOADED=`lsmod | grep -c "^qla"`
 
